com.rscja.deviceapi.interfaces

## Interface IUHFA4

- All Superinterfaces:
    IMultipleAntenna, IRFIDWithUHFA4, IUHF, IUHFURAxExtend
  All Known Subinterfaces:
    IRFIDWithUHFA4NetWork, IRFIDWithUHFA4RS232
  All Known Implementing Classes:
    RFIDWithUHFA4NetWork, RFIDWithUHFA4RS232

      public interface IUHFA4
      extends IRFIDWithUHFA4, IUHFURAxExtend, IUHF

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `outputOnAndOff(java.util.List<GPOEntity> list)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDWithUHFA4

      `inputStatus, output1Off, output1On, output2Off, output2On, output3Off, output3On, output4Off, output4On, outputWgData0Off, outputWgData0On, outputWgData1Off, outputWgData1On`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getANT, getAntennaPower, getAntennaWorkTime, setANT, setAntennaPower, setAntennaWorkTime`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFURAxExtend

      `closeWifi, disableBeep, enableBeep, getAndroidDeviceHardwareVersion, getEthernetIpConfig, getReaderCurrentIp, getTcpServiceVersion, getWifiInfo, getWifiIpConfig, isEnableBeep, openWifi, readyUpgradeTcpService, rebootDevice, setBuzzerOff, setBuzzerOn, setEthernetConfigInfo, setEthernetIpDynamicAssign, setGPIStateCallback, setGPIStateReverse, setInventoryCallback, setTcpServicePort, setUpgradeProgress, setUpgradeTcpServiceData, setWifiConfigInfo, startUpgradeTcpService`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setPwm, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### outputOnAndOff

          void outputOnAndOff(java.util.List<GPOEntity> list)

      Specified by:
        `outputOnAndOff` in interface `IUHFURAxExtend`